import React, { useState } from "react";
import Display from "./Display";
import Button from "./Button";
import Activity from "./Activity";
import { activities } from "./activities";

// Gibt ein zufälliges Element aus dem Aktivitätenarray zurück
function getRandomActivity() {
  const randomIndex = Math.floor(Math.random() * activities.length);
  return activities[randomIndex];
}

// Baut eine Liste von Activity-Komponenten
function buildActivityPage(inArray) {
  return inArray.map((activity, index) => (
    <Activity key={index} number={index + 1} activity={activity} /> //Liste zum hinzufügen
  ));
}

function App() {
  const [activitiesList, setActivitiesList] = useState([]);
  const [activity, setActivity] = useState("");

  const addActivityToList = () => {
    if (activity) {
      setActivitiesList((prev) => [...prev, activity]);
    }
  };

  return (
    <div>
      <Button myText={"Zufällige Aktivität"} callBack={() => setActivity(getRandomActivity())} />
      <Display myVal={activity} />
      <Button myText={"Hinzufügen"} callBack={addActivityToList} />
      {buildActivityPage(activitiesList)}
    </div>
  );
}

export default App;

